Package: java.sql

## Class Date

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `Date` | `clearTime()` Clears the time portion of this java.sql.Date instance; useful utility where it makes sense to compare month/day/year only portions of a Date.
    `Date` | `minus(int days)` Subtract a number of days from this date and returns the new date.
    `Date` | `next()` Increment a java.sql.Date by one day.
    `Date` | `plus(int days)` Add a number of days to this date and returns the new date.
    `Date` | `previous()` Decrement a java.sql.Date by one day.

  - #### Methods inherited from class java.util.Date

    `clearTime`, `copyWith`, `downto`, `format`, `format`, `getAt`, `getAt`, `getDateString`, `getDateTimeString`, `getTimeString`, `getZoneId`, `getZoneOffset`, `minus`, `minus`, `next`, `plus`, `previous`, `putAt`, `set`, `toCalendar`, `toDayOfWeek`, `toLocalDate`, `toLocalDateTime`, `toLocalTime`, `toMonth`, `toMonthDay`, `toOffsetDateTime`, `toOffsetTime`, `toTimestamp`, `toYear`, `toYearMonth`, `toZonedDateTime`, `updated`, `upto`

  - #### Methods inherited from class java.lang.Object

    `addShutdownHook`, `any`, `any`, `asBoolean`, `asType`, `collect`, `collect`, `collect`, `dump`, `each`, `eachMatch`, `eachMatch`, `eachWithIndex`, `every`, `every`, `find`, `find`, `findAll`, `findAll`, `findIndexOf`, `findIndexOf`, `findIndexValues`, `findIndexValues`, `findLastIndexOf`, `findLastIndexOf`, `findResult`, `findResult`, `findResult`, `findResult`, `getAt`, `getMetaClass`, `getMetaPropertyValues`, `getProperties`, `grep`, `grep`, `hasProperty`, `identity`, `inject`, `inject`, `inspect`, `invokeMethod`, `is`, `isCase`, `isNotCase`, `iterator`, `metaClass`, `print`, `print`, `printf`, `printf`, `println`, `println`, `println`, `putAt`, `respondsTo`, `respondsTo`, `setMetaClass`, `split`, `sprintf`, `sprintf`, `stream`, `tap`, `toString`, `use`, `use`, `use`, `with`, `with`, `withCloseable`, `withMethodClosure`, `withStream`, `withTraits`

- - ### Methods Detail

    - #### public Date clearTime()

      Clears the time portion of this java.sql.Date instance; useful utility where it makes sense to compare month/day/year only portions of a Date.

      Returns:
        the java.sql.Date but with the time portion cleared
      Since:
        1.6.7

    - #### public Date minus(int days)

      Subtract a number of days from this date and returns the new date.

      Parameters:
        `days` - the number of days to subtract
      Returns:
        the new date
      Since:
        1.0

    - #### public Date next()

      Increment a java.sql.Date by one day.

      Returns:
        the next days date
      Since:
        1.0

    - #### public Date plus(int days)

      Add a number of days to this date and returns the new date.

      Parameters:
        `days` - the number of days to increase
      Returns:
        the new date
      Since:
        1.0

    - #### public Date previous()

      Decrement a java.sql.Date by one day.

      Returns:
        the previous days date
      Since:
        1.0